Create agent policy

Base URL
https://{kibana_url}
  • POST /api/fleet/agent_policies
  • POST /s/{space_id}/api/fleet/agent_policies
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Kibana's anti Cross-Site Request Forgery token. Can be any string value.

Request body

data_output_id string nullable
description string
download_source_id string nullable
fleet_server_host_id string nullable
force boolean

Force agent policy creation even if packages are not verified.

global_data_tags (string to number | string)[]
id string
inactivity_timeout integer
is_protected boolean
monitoring_enabled enum[]
Values: metrics logs
monitoring_output_id string nullable
name string required
namespace string required
unenroll_timeout integer

Responses

OK

application/json
Base URL
https://{kibana_url}